phpBB version 2.0.16 erschienen!

Hier die Newsecke (Kein Support!)
Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Di 28.Jun, 2005 14:44

Wenn Du lediglich die Update-Anleitungen durchgehst und abschliessend das Datenbank-Update-Script ausführst, sollte es auch keine Probleme mit dem Board geben.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Di 28.Jun, 2005 15:00

Und falls doch was schief geht, kenne da ein sehr gutes Board wo man sehr guten Support bekommt! :)


Edit:


Reicht es aus, wenn ich ein Backup mit dem MYSQLdumper macher? Und den phpbb_2.0.11_to_2.0.12_bbcode.txt auch machen? Ist ja eigentlich logisch!!
Zuletzt geändert von Snoopy am Di 28.Jun, 2005 15:12, insgesamt 2-mal geändert.

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Di 28.Jun, 2005 15:22

>Reicht es aus, wenn ich ein Backup mit dem MYSQLdumper mache?
Nein. Änderungen an der Datenbank sind das Wenigste. Es empfiehlt sich sämtliche Dateien, welche modifiziert werden müssen, separat sichern, bei jedem Update!

>phpbb_2.0.11_to_2.0.12_bbcode.txt auch machen?
Nein. Ist nur die Übersetzung der code changes in BBCode, welchen du dir in dein Forum kopieren könntest. Sieht dann so aus und ist inhaltlich nichts anders, als die phpbb_2.0.15_to_2.0.16.txt.
  • admin/admin_ug_auth.php[/color][/size]
FIND - Line 809

Code: Alles auswählen


	@reset($auth_user);
REPLACE WITH

Code: Alles auswählen


//	@reset($auth_user);
....

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Di 28.Jun, 2005 15:32

Aso!

Ich muss nur die .txt Dateien und die update_to_latest.php ausführen und keine neuen Dateien hochladen?

Man ist das lange her das ich ein update gemacht hab!


Ich habe gerade gesehen das phpBB-2.0.16-files ein 2.0.11_to_2.0.16 gibt, kann ich das nicht einfach machen????
Zuletzt geändert von Snoopy am Di 28.Jun, 2005 15:38, insgesamt 1-mal geändert.

Benutzeravatar
bce
User
User
Beiträge: 876
Registriert: Do 14.Okt, 2004 17:46
Kontaktdaten:

Beitrag von bce » Di 28.Jun, 2005 15:54

[quote="Snoopy - 28/6/2005, 16:32";p="37170"]Ich habe gerade gesehen das phpBB-2.0.16-files ein 2.0.11_to_2.0.16 gibt, kann ich das nicht einfach machen????[/quote]

ja, kannst du...

die "update_to_latest.php" muss sich im install-ordner aufm server befinden... datei ausführen, danach install-ordner wieder löschen...

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Di 28.Jun, 2005 16:05

Und welche Änderungen muss ich dann machen?

Oder reicht es wenn ich die Dateien hochlade, die in Dem Ordner drin sind?
Zuletzt geändert von Snoopy am Di 28.Jun, 2005 16:06, insgesamt 1-mal geändert.

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Di 28.Jun, 2005 16:17

>Ich habe gerade gesehen das phpBB-2.0.16-files ein 2.0.11_to_2.0.16 gibt, kann ich das nicht einfach machen????

HÄ? Bei welchem Update-Paket?
Snoopy hat ein premoddet phpBB Plus mit weiteren Modifikationen.
Für ein Update sind jeweils die Code Changes zu verwenden (phpbb_2.0.1x_to_2.0.1y Code Changes).
Da ist nichts mit Dateien hochladen! Dann sind u.U. vorher gemachte Änderungen überschrieben!

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Di 28.Jun, 2005 16:26

Also doch nicht!

In dem Ordner phpBB-2.0.16-files sind doch mehrer .rar drin unter anderem auch 2.0.11_to_2.0.16!

Ok, dann lieber die jede Version extra!


EDIT:

Ich muss noch mal was fragen.

Die update_to_latest.php als erstes oder als letztes ausführen, bei 2.0.11 to 2.0.12
Zuletzt geändert von Snoopy am Di 28.Jun, 2005 17:38, insgesamt 1-mal geändert.

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Di 28.Jun, 2005 17:48

[quote="Snoopy - Di 28.Jun, 2005 17:26";p="37179"]Die update_to_latest.php als erstes oder als letztes ausführen, bei 2.0.11 to 2.0.12[/quote]
Einfach die Reihenfolge lt. Modanweisung befolgen, dann kann man nichts verkehrt machen.
After you have finished this tutorial, you have to upload the update_to_latest.php file (found within every phpBB Package), execute it and then delete it from your webspace.
Meistens ist es egal. Ich hatte aber auch schon einen Mod, da musste das DB-Update zuerst durchgeführt werden.
Also DB-Update hier am Schluss.

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Di 28.Jun, 2005 18:07

OK, danke!

*biberbiberbiber*

pepi
User
User
Beiträge: 431
Registriert: So 10.Apr, 2005 19:45
Wohnort: Lienz - Austria
Kontaktdaten:

Beitrag von pepi » Mi 29.Jun, 2005 00:35

habe plus 1.53 beta6

phpbb_2.0.15_to_2.0.16
in modcp.php
nicht gefunden aber

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 773
				$new_forum_id = intval($HTTP_POST_VARS['new_forum_id']);
				$topic_time = time();
				

#
#-----[ AFTER, ADD ]---------------------------------------------
# 
				$sql = 'SELECT forum_id FROM ' . FORUMS_TABLE . '
					WHERE forum_id = ' . $new_forum_id;
				if ( !($result = $db->sql_query($sql)) )
				{
					message_die(GENERAL_ERROR, 'Could not select from forums table', '', __LINE__, __FILE__, $sql);
				}
			
				if (!$db->sql_fetchrow($result))
				{
					message_die(GENERAL_MESSAGE, 'New forum does not exist');
				}

				$db->sql_freeresult($result);
in plus habe ich das hier danach eingefügt .....

Code: Alles auswählen

 if ($new_forum_id <= 0 ) message_die(GENERAL_MESSAGE, $lang['Forum_not_exist']);
//-- fin mod : categories hierarchy ----------------------------------------------------------------
                        $old_forum_id = $forum_id;
und

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 773
				$new_forum_id = intval($HTTP_POST_VARS['new_forum_id']);
				$topic_time = time();
				

#
#-----[ AFTER, ADD ]---------------------------------------------
# 
				$sql = 'SELECT forum_id FROM ' . FORUMS_TABLE . '
					WHERE forum_id = ' . $new_forum_id;
				if ( !($result = $db->sql_query($sql)) )
				{
					message_die(GENERAL_ERROR, 'Could not select from forums table', '', __LINE__, __FILE__, $sql);
				}
			
				if (!$db->sql_fetchrow($result))
				{
					message_die(GENERAL_MESSAGE, 'New forum does not exist');
				}

				$db->sql_freeresult($result);
hier danach eingefügt

Code: Alles auswählen

if ($new_forum_id <= 0 ) message_die(GENERAL_MESSAGE, $lang['Forum_not_exist']);
//-- fin mod : categories hierarchy ----------------------------------------------------------------

                                $topic_time = time();
is das korrekt oder kann ich da probleme bekommen ???
bord läuft normal .........
gru? Pepi

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Mi 29.Jun, 2005 06:30

Nein, das ist korrekt.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
SethDeBlade
User
User
Beiträge: 750
Registriert: Mo 31.Mai, 2004 01:31
Kontaktdaten:

Beitrag von SethDeBlade » Mi 29.Jun, 2005 10:19

@pepi ich vermute mal, dass du das hier als ersten code-schnippsel verwendet hast, richtig? (copy & paste-fehler? )

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 466
			$new_forum_id = intval($HTTP_POST_VARS['new_forum']);
			$old_forum_id = $forum_id;


#
#-----[ AFTER, ADD ]---------------------------------------------
# 
			$sql = 'SELECT forum_id FROM ' . FORUMS_TABLE . '
				WHERE forum_id = ' . $new_forum_id;
			if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not select from forums table', '', __LINE__, __FILE__, $sql);
			}
			
			if (!$db->sql_fetchrow($result))
			{
				message_die(GENERAL_MESSAGE, 'New forum does not exist');
			}

			$db->sql_freeresult($result);

pepi
User
User
Beiträge: 431
Registriert: So 10.Apr, 2005 19:45
Wohnort: Lienz - Austria
Kontaktdaten:

Beitrag von pepi » Mi 29.Jun, 2005 11:50

[quote="SethDeBlade - Mi 29.Jun, 2005 11:19";p="37285"]@pepi ich vermute mal, dass du das hier als ersten code-schnippsel verwendet hast, richtig? (copy & paste-fehler? )

Code: Alles auswählen

#
#-----[ FIND ]---------------------------------------------
# Line 466
			$new_forum_id = intval($HTTP_POST_VARS['new_forum']);
			$old_forum_id = $forum_id;


#
#-----[ AFTER, ADD ]---------------------------------------------
# 
			$sql = 'SELECT forum_id FROM ' . FORUMS_TABLE . '
				WHERE forum_id = ' . $new_forum_id;
			if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not select from forums table', '', __LINE__, __FILE__, $sql);
			}
			
			if (!$db->sql_fetchrow($result))
			{
				message_die(GENERAL_MESSAGE, 'New forum does not exist');
			}

			$db->sql_freeresult($result);
[/quote]

@SethDeBlade
dieses gibts in meier modcp.php nicht

Code: Alles auswählen

$new_forum_id = intval($HTTP_POST_VARS['new_forum']);
nur das

Code: Alles auswählen

$old_forum_id = $forum_id;
@oxpus
Nein, das ist korrekt. ???
wie muss ich das verstehen
Nein= falsch eingebaut
das ist korrekt = dass ich Probleme bekomme ???

oder habe ich alles richtig gemacht ???
danke
gru? Pepi

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Mi 29.Jun, 2005 12:35

Der Einbau und die Fundstellen sind richtig. Das soll es heissen.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

pepi
User
User
Beiträge: 431
Registriert: So 10.Apr, 2005 19:45
Wohnort: Lienz - Austria
Kontaktdaten:

Beitrag von pepi » Mi 29.Jun, 2005 12:39

super danke
gru? Pepi

Benutzeravatar
SethDeBlade
User
User
Beiträge: 750
Registriert: Mo 31.Mai, 2004 01:31
Kontaktdaten:

Beitrag von SethDeBlade » Mi 29.Jun, 2005 14:20

@pepi wenn du genau hinschaust, dann hast du die 2 zeilen in deiner modcp. sie sind nur etwas auseinander gezogen, weil da der einschub vom cat hierachy mod dazwischen ist.

zu dem

Code: Alles auswählen

//-- fin mod : categories hierarchy ----------------------------------------------------------------
gehört auch ein

Code: Alles auswählen

//-- mod : categories hierarchy --------------------------------------------------------------------
//-- add
und darüber findest du die erste zeile, die du suchen musstest ;)

ist bei mir auch so gewesen :)

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Do 30.Jun, 2005 00:09

Hab alles soweit, hat auch wunderbar geklappt, bis auf eine Fehlermeldung im ACP:

Code: Alles auswählen

Fatal error: Cannot redeclare admin_display_cat_auth() in /usr/export/www/vhosts/funnetwork/hosting/snoopytraum/admin/admin_pa_ug_auth.php on line 932
Was hab ich den Falsch gemacht?


Muss ich jetzt den bbcode.txt machen?
Zuletzt geändert von Snoopy am Do 30.Jun, 2005 00:22, insgesamt 1-mal geändert.

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Do 30.Jun, 2005 06:47

Die Funktion admin_display_cat_auth() ist bereits definiert und soll nochmals definiert werden. Deshalb die Fehlermeldung. Irgendwo wird sie bereits aufgerufen.

>bbcode
Nein, habe ich doch aber oben im #28 schon erklärt.


Hast du jetzt komplett neu installiert? Warum nimmst du dann nicht die FERTIGE phpBB Plus 1.52 Version, based 2.0.16?
http://www.phpbb2.de/dload.php?action=file&file_id=592
Zuletzt geändert von modbo am Do 30.Jun, 2005 06:49, insgesamt 1-mal geändert.

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Do 30.Jun, 2005 08:31

Na huch, das hab ich glatt übersehen!!!!

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Do 30.Jun, 2005 11:05

Hab nun diese Meldung im ACP

Code: Alles auswählen

Fatal error: Cannot redeclare reorder_cat() in /usr/export/www/vhosts/funnetwork/hosting/snoopytraum/admin/admin_links_cat.php on line 45
Was kann ich dagegen tun?

Benutzeravatar
oxpus
Administrator
Administrator
Beiträge: 29111
Registriert: Mo 27.Jan, 2003 22:13
Wohnort: Bad Wildungen
Kontaktdaten:

Beitrag von oxpus » Do 30.Jun, 2005 11:16

Benenn die Funktion und alle Aufrufe um. Z.B. in reordercat.
Karsten Ude
-={ Das Mädchen für alles }=-
Kein Support per ICQ, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per ICQ, Email or PM. Each unasked message will be ignored!

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Do 30.Jun, 2005 11:19

Aja!

Und wo? In der admin_links_cat.php ?


Ok, hab ich gemacht! Resultat:

Code: Alles auswählen

Fatal error: Cannot redeclare admin_display_cat_auth() in /usr/export/www/vhosts/funnetwork/hosting/snoopytraum/admin/admin_pa_catauth.php on line 217

Edit:

Ich hab das einfach mal gemacht.
Ich habe aus admin_display_cat_auth, admindisplaycatauth gemacht!

Dann bekam ich eine Fehlermeldung in der admin_statistics.php
Da hab ich dann aus renumber_order einfach renumberorder gemacht und nun komme ich ins ACP
Zuletzt geändert von Snoopy am Do 30.Jun, 2005 11:34, insgesamt 2-mal geändert.

modbo
User
User
Beiträge: 1422
Registriert: Mo 13.Dez, 2004 11:18
Kontaktdaten:

Beitrag von modbo » Do 30.Jun, 2005 11:39

Du hast das Forum und Datenbank kommplett neu aufgesetzt?
Warum sollten da diese fehlermeldungen kommen? Ist doch unlogisch, wenn es sich um ein "frisches" phpbb Plus ohne weitere Mods handelt.

Benutzeravatar
Snoopy
User
User
Beiträge: 1082
Registriert: So 26.Sep, 2004 19:23
Wohnort: Hannover
Kontaktdaten:

Beitrag von Snoopy » Do 30.Jun, 2005 11:53

Da kann ich doch auch nichts dafür, das ich diese Meldungen bekommen tue!

Jetzt geht es jedenfalls!!!!

Antworten